import request from '@/utils/request'
import { URL } from '@/config'

export function getList(params) {
  return request({
    url: URL.shop.distribution.user.getList,
    method: 'get',
    params,
  })
}

export function doEdit(data) {
  return request({
    url: URL.shop.distribution.user.doEdit,
    method: 'post',
    data,
  })
}

export function enable(data) {
  return request({
    url: URL.shop.distribution.user.enable,
    method: 'post',
    data,
  })
}

export function add(data) {
  return request({
    url: URL.shop.distribution.user.add,
    method: 'post',
    data,
  })
}
